$PackageName = 'alacritty.portable'
$Url64 = 'https://github.com/alacritty/alacritty/releases/download/v0.3.3-rc1/Alacritty-v0.3.3-rc1-windows-portable.zip'
$Checksum64 = 'e876261ccd3a0c01cf0ec7ba8e11e59fefa1b31ceab81b98fb77b8abda6c0645808bd9d10f7ae1e8ed62afc366ee0fa78d645aa5f608fd108bf9568edf7348e3'
$ChecksumType64 = 'sha512'
$ToolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$InstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$desktop = [System.Environment]::GetFolderPath("Desktop")

$PackageArgs = @{
	PackageName = $PackageName
	Url64 = $Url64
	Checksum64 = $Checksum64
	ChecksumType64 = $ChecksumType64
	UnzipLocation = $InstallDir
}
Install-ChocolateyZipPackage @PackageArgs

Install-BinFile alacritty -path "$InstallDir\alacritty.exe" -UseStart
Install-ChocolateyShortcut -ShortcutFilePath "$desktop\Alacritty.lnk" -TargetPath "$InstallDir\alacritty.exe" -WorkingDirectory "$InstallDir" -WindowStyle 1
